---
title: "MOOC RR RMarkdown"
author: "Marc"
date: "02/04/2020"
output: html_document
---

```{r setup, include=FALSE}
knitr::opts_chunk$set(echo = TRUE)
```
# Titre d'une section
## Titre d'une sous-section
Conversion en html, PDF ou docx par Pandoc  
Pandoc installé par le site pandoc  
Fichier texte en UTF-8 pour être lu sur tous les ordis et pérenne  
italique : _s_ ou *s*  
gras : __s__  
chasse fixe : 's'  
barré : ~~s~~ 
hyperlien : [titre] url entre parenthèse  
Commentaire : <!-- s -->  
image : ![légende] adresse url ou locale entre parenthèse  
Mettre du code dans une ligne : avec des guillemets (Altgr + 7) --> `code`  
Ajouter un bloc de code entre 3 guillemets :  
```
Bloc de code
```

Listes :   
-  
-  
-  

Enumération :  
1.  
2.  
3.  

Imbrication avec tabulation  

# Utilisation Pandoc

Avec la console.  
Se mettre dans le dossier avec cd.  
Conversion en pls formats : pandoc fichier.md -o fichier.extension (html, pdf, docx)  

Utiliser __Emacs__ ou __Vim__ pour passer d'un logiciel à l'autre  

# TEI : texte encoding initiative --> format de balisage standard
Plutôt pour les SHS  

# Git
Git est un logiciel permettant la gestion des versions pérennes.  
## Commandes 
_git add_ --> indiquer les modifs que l'on souhaite conserver pour intégrer les parties de modifications logiques  
_git commit_ --> faire un checkpoint (version)  
_git diff_ --> pour voir la différence entre 2 versions  
_git checkout_ --> revenir à l'état antérieur  

Etape :  
1. Créer un projet sur Gitlab  
2. Commande _git clone_ pour récupérer un historique vierge sur son ordinateur  
3. Travailler avec _git add_ et git commit pour créer pls versions  
4. Commande _git push_ pour propager ses modifs sur le serveur Gitlab  
Uniquement de la branche d'historique principale (sauf si on le spécifie autrement)  
On synchronise des branches en échangeant des morceaux d'historique.  

### Collaborer à pls 
- Si travail séquentiel  
1. Bob fait un _git push_ pour synchroniser sa version master avec le serveur Gitlab  
2. Alice fait _git __pull__ _ pour récupérer du serveur la bonne version master.  
- Si ils travaillent en même temps sur parties différentes  
1. Bob et Alice modifient de parties différentes  
2. Alice fait un _git push_  
3. Bob fait _git push_ --> erreur : d'abord _git pull_ puis _git push_  
--> Fusion des modifications  
- Si ils travaillent en même temps sur parties identiques  
4. Bob va avoir conflit avec son _git pull_ --> gestion du conflit --> _git push_  

### autres sur git
Afficher historique : _git log_  
Merge : _git merge_  

Hébergement Git, interfaces web Github et Gitlab  

Possibilité de déversement vers des archives telle que Zenodo.  

Interfaces graphiques : Jupyter, RStudio, Emacs org-mode  

## Installation de git dans RStudio

Installation de _Git_ sur le site web de [Git](https://git-scm.com/downloads).  
Interface graphique par défaut de Git est Notepad++ mais possibilité d'utilisé autre logiciel (comme RStudio).  

### Configuration de Git
Dans le terminal :  
_git config --global user.name "marc.oudart"_  
_git config --global user.email "marc.oudart@college-de-france.fr"_  

### Dans RStudio
1. _Tools --> Global options --> Git_  
2. _OK_  
3. _Create new project_  
4. __Check _Create a git repository for this project_ __  

A droite dans RStudio --> onglet Git.  
Check les fichiers pour stagged (comme _git add_).  
Commit.  
Donner un titre au commit.  

Créer nouveau fichier RMarkdown.  
Commit.  

_Knit_ en html.  
Commit.  

# Etiquetage et indexation
## DocFetcher

Installation de _DocFetcher_ sur internet   [DocFetcher](http://docfetcher.sourceforge.net/fr/download.html)  

- Ajouter des étiquettes en commentaires en Markdown. Le mot sera encadré par des ";" pour ne pas que DocFetcher confonde l'étiquette avec un vrai mot.  
- Utilisation DocFetcher :  
Dire à gauche quel dossier indexer (et préciser si .md et .org sont à considérer comme fichiers textes).  
Puis rechercher un mot clé.  

## ExifTool
Rajouter des étiquettes sur des images ou des fichiers PDF en ligne de commande :
_exiftool -comment: ";étiquette;" (adresse de l'image)  

<!-- ## R Markdown

This is an R Markdown document. Markdown is a simple formatting syntax for authoring HTML, PDF, and MS Word documents. For more details on using R Markdown see <http://rmarkdown.rstudio.com>.

When you click the **Knit** button a document will be generated that includes both content as well as the output of any embedded R code chunks within the document. You can embed an R code chunk like this:

```{r cars}
summary(cars)
```

## Including Plots

You can also embed plots, for example:

```{r pressure, echo=FALSE}
plot(pressure)
```

Note that the `echo = FALSE` parameter was added to the code chunk to prevent printing of the R code that generated the plot.
-->